Index: test/sasdataloader/test/utest_abs_reader.py
===================================================================
--- test/sasdataloader/test/utest_abs_reader.py	(revision fe1519896dbb0d27d27b4312f0db40cdbf913de4)
+++ test/sasdataloader/test/utest_abs_reader.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
@@ -16,9 +16,13 @@
 
 
+def find(filename):
+    return os.path.join(os.path.dirname(__file__), filename)
+
+
 class abs_reader(unittest.TestCase):
 
     def setUp(self):
         reader = AbsReader()
-        self.data_list = reader.read("jan08002.ABS")
+        self.data_list = reader.read(find("jan08002.ABS"))
         self.data = self.data_list[0]
 
@@ -31,5 +35,5 @@
             tests won't pass
         """
-        self.assertEqual(self.data.filename, "jan08002.ABS")
+        self.assertEqual(os.path.basename(self.data.filename), "jan08002.ABS")
         self.assertEqual(self.data.meta_data['loader'], "IGOR 1D")
 
@@ -69,5 +73,5 @@
     def test_generic_loader(self):
         # the generic loader should work as well
-        data = Loader().load("jan08002.ABS")
+        data = Loader().load(find("jan08002.ABS"))
         self.assertEqual(data[0].meta_data['loader'], "IGOR 1D")
 
@@ -76,5 +80,5 @@
     def setUp(self):
         reader = DANSEReader()
-        self.data_list = reader.read("MP_New.sans")
+        self.data_list = reader.read(find("MP_New.sans"))
         self.data = self.data_list[0]
 
@@ -88,5 +92,5 @@
         """
         self.assertEqual(len(self.data_list), 1)
-        self.assertEqual(self.data.filename, "MP_New.sans")
+        self.assertEqual(os.path.basename(self.data.filename), "MP_New.sans")
         self.assertEqual(self.data.meta_data['loader'], "DANSE")
 
@@ -114,5 +118,5 @@
     def test_generic_loader(self):
         # the generic loader should work as well
-        data = Loader().load("MP_New.sans")
+        data = Loader().load(find("MP_New.sans"))
         self.assertEqual(len(data), 1)
         self.assertEqual(data[0].meta_data['loader'], "DANSE")
@@ -123,15 +127,15 @@
     def setUp(self):
         reader = CANSASReader()
-        self.data_list = reader.read("cansas1d.xml")
+        self.data_list = reader.read(find("cansas1d.xml"))
         self.data = self.data_list[0]
 
     def test_generic_loader(self):
         # the generic loader should work as well
-        data = Loader().load("cansas1d.xml")
+        data = Loader().load(find("cansas1d.xml"))
         self.assertEqual(len(data), 1)
         self.assertEqual(data[0].meta_data['loader'], "CanSAS XML 1D")
 
     def test_cansas_checkdata(self):
-        self.assertEqual(self.data.filename, "cansas1d.xml")
+        self.assertEqual(os.path.basename(self.data.filename), "cansas1d.xml")
         self._checkdata()
 
@@ -282,6 +286,6 @@
 
         filename = "write_test.xml"
-        r.write(filename, self.data)
-        data = Loader().load(filename)
+        r.write(find(filename), self.data)
+        data = Loader().load(find(filename))
         self.data = data[0]
         self.assertEqual(len(data), 1)
@@ -297,5 +301,5 @@
         """
         filename = "cansas1d_units.xml"
-        data = CANSASReader().read(filename)
+        data = CANSASReader().read(find(filename))
         self.data = data[0]
         self.assertEqual(len(data), 1)
@@ -309,5 +313,5 @@
         """
         filename = "cansas1d_badunits.xml"
-        data = CANSASReader().read(filename)
+        data = CANSASReader().read(find(filename))
         self.data = data[0]
         self.assertEqual(len(data), 1)
@@ -326,5 +330,5 @@
         """
         filename = "cansas1d_slit.xml"
-        data = CANSASReader().read(filename)
+        data = CANSASReader().read(find(filename))
         self.data = data[0]
         self.assertEqual(len(data), 1)
Index: test/sasdataloader/test/utest_ascii.py
===================================================================
--- test/sasdataloader/test/utest_ascii.py	(revision fe1519896dbb0d27d27b4312f0db40cdbf913de4)
+++ test/sasdataloader/test/utest_ascii.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
@@ -2,4 +2,6 @@
     Unit tests for the ascii (n-column) reader
 """
+
+import os.path
 import warnings
 warnings.simplefilter("ignore")
@@ -9,17 +11,21 @@
 
 
+def find(filename):
+    return os.path.join(os.path.dirname(__file__), filename)
+
+
 class ABSReaderTests(unittest.TestCase):
     
     def setUp(self):
         self.loader = Loader()
-        self.f1_list = self.loader.load("ascii_test_1.txt")
+        self.f1_list = self.loader.load(find("ascii_test_1.txt"))
         self.f1 = self.f1_list[0]
-        self.f2_list = self.loader.load("ascii_test_2.txt")
+        self.f2_list = self.loader.load(find("ascii_test_2.txt"))
         self.f2 = self.f2_list[0]
-        self.f3_list = self.loader.load("ascii_test_3.txt")
+        self.f3_list = self.loader.load(find("ascii_test_3.txt"))
         self.f3 = self.f3_list[0]
-        self.f4_list = self.loader.load("ascii_test_4.abs")
+        self.f4_list = self.loader.load(find("ascii_test_4.abs"))
         self.f4 = self.f4_list[0]
-        self.f5_list = self.loader.load("ascii_test_5.txt")
+        self.f5_list = self.loader.load(find("ascii_test_5.txt"))
         self.f5 = self.f5_list[0]
 
@@ -99,5 +105,5 @@
         f = None
         try:
-            f = self.loader.load("ascii_test_6.txt")
+            f = self.loader.load(find("ascii_test_6.txt"))
         # The length of the data is 5
         except:
Index: test/sasdataloader/test/utest_averaging.py
===================================================================
--- test/sasdataloader/test/utest_averaging.py	(revision fe1519896dbb0d27d27b4312f0db40cdbf913de4)
+++ test/sasdataloader/test/utest_averaging.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
@@ -13,4 +13,8 @@
                                                   SlabY, get_q,
                                                   reader2D_converter)
+
+
+def find(filename):
+    return os.path.join(os.path.dirname(__file__), filename)
 
 
@@ -102,6 +106,5 @@
 
     def setUp(self):
-        filepath = os.path.join(os.path.dirname(
-            os.path.realpath(__file__)), 'MAR07232_rest.h5')
+        filepath = find('MAR07232_rest.h5')
         self.data_list = Loader().load(filepath)
         self.data = self.data_list[0]
@@ -118,6 +121,5 @@
 
         o = r(self.data)
-        filepath = os.path.join(os.path.dirname(
-            os.path.realpath(__file__)), 'ring_testdata.txt')
+        filepath = find('ring_testdata.txt')
         answer_list = Loader().load(filepath)
         answer = answer_list[0]
@@ -140,6 +142,5 @@
         o = r(self.data)
 
-        filepath = os.path.join(os.path.dirname(
-            os.path.realpath(__file__)), 'avg_testdata.txt')
+        filepath = find('avg_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(r.nbins_phi):
@@ -176,6 +177,5 @@
         o = r(self.data)
 
-        filepath = os.path.join(os.path.dirname(
-            os.path.realpath(__file__)), 'slabx_testdata.txt')
+        filepath = find('slabx_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -195,6 +195,5 @@
         o = r(self.data)
 
-        filepath = os.path.join(os.path.dirname(
-            os.path.realpath(__file__)), 'slaby_testdata.txt')
+        filepath = find('slaby_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -222,6 +221,5 @@
         o = r(self.data)
 
-        filepath = os.path.join(os.path.dirname(
-            os.path.realpath(__file__)), 'ring_testdata.txt')
+        filepath = find('ring_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -240,6 +238,5 @@
         o = r(self.data)
 
-        filepath = os.path.join(os.path.dirname(
-            os.path.realpath(__file__)), 'sectorphi_testdata.txt')
+        filepath = find('sectorphi_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
@@ -258,6 +255,5 @@
         o = r(self.data)
 
-        filepath = os.path.join(os.path.dirname(
-            os.path.realpath(__file__)), 'sectorq_testdata.txt')
+        filepath = find('sectorq_testdata.txt')
         answer = Loader().load(filepath)[0]
         for i in range(len(o.x)):
Index: test/sasdataloader/test/utest_cansas.py
===================================================================
--- test/sasdataloader/test/utest_cansas.py	(revision f00072f71539decaf40f09518557ad03ca39a587)
+++ test/sasdataloader/test/utest_cansas.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
@@ -31,23 +31,28 @@
 CANSAS_NS = CansasConstants.CANSAS_NS
 
+
+def find(filename):
+    return os.path.join(os.path.dirname(__file__), filename)
+
+
 class cansas_reader_xml(unittest.TestCase):
 
     def setUp(self):
         self.loader = Loader()
-        self.xml_valid = "cansas_test_modified.xml"
-        self.xml_invalid = "cansas_test.xml"
-        self.cansas1d_badunits = "cansas1d_badunits.xml"
-        self.cansas1d = "cansas1d.xml"
-        self.cansas1d_slit = "cansas1d_slit.xml"
-        self.cansas1d_units = "cansas1d_units.xml"
-        self.cansas1d_notitle = "cansas1d_notitle.xml"
-        self.isis_1_0 = "ISIS_1_0.xml"
-        self.isis_1_1 = "ISIS_1_1.xml"
-        self.isis_1_1_notrans = "ISIS_1_1_notrans.xml"
-        self.isis_1_1_doubletrans = "ISIS_1_1_doubletrans.xml"
-        self.schema_1_0 = "cansas1d_v1_0.xsd"
-        self.schema_1_1 = "cansas1d_v1_1.xsd"
-        self.write_1_0_filename = "isis_1_0_write_test.xml"
-        self.write_1_1_filename = "isis_1_1_write_test.xml"
+        self.xml_valid = find("cansas_test_modified.xml")
+        self.xml_invalid = find("cansas_test.xml")
+        self.cansas1d_badunits = find("cansas1d_badunits.xml")
+        self.cansas1d = find("cansas1d.xml")
+        self.cansas1d_slit = find("cansas1d_slit.xml")
+        self.cansas1d_units = find("cansas1d_units.xml")
+        self.cansas1d_notitle = find("cansas1d_notitle.xml")
+        self.isis_1_0 = find("ISIS_1_0.xml")
+        self.isis_1_1 = find("ISIS_1_1.xml")
+        self.isis_1_1_notrans = find("ISIS_1_1_notrans.xml")
+        self.isis_1_1_doubletrans = find("ISIS_1_1_doubletrans.xml")
+        self.schema_1_0 = find("cansas1d_v1_0.xsd")
+        self.schema_1_1 = find("cansas1d_v1_1.xsd")
+        self.write_1_0_filename = find("isis_1_0_write_test.xml")
+        self.write_1_1_filename = find("isis_1_1_write_test.xml")
 
     def get_number_of_entries(self, dictionary, name, i):
@@ -254,8 +259,8 @@
     def setUp(self):
         self.loader = Loader()
-        self.datafile_basic = "simpleexamplefile.h5"
-        self.datafile_multiplesasentry = "cansas_1Dand2D_samedatafile.h5"
-        self.datafile_multiplesasdata = "cansas_1Dand2D_samesasentry.h5"
-        self.datafile_multiplesasdata_multiplesasentry = "cansas_1Dand2D_multiplesasentry_multiplesasdata.h5"
+        self.datafile_basic = find("simpleexamplefile.h5")
+        self.datafile_multiplesasentry = find("cansas_1Dand2D_samedatafile.h5")
+        self.datafile_multiplesasdata = find("cansas_1Dand2D_samesasentry.h5")
+        self.datafile_multiplesasdata_multiplesasentry = find("cansas_1Dand2D_multiplesasentry_multiplesasdata.h5")
 
     def test_real_data(self):
Index: test/sasdataloader/test/utest_extension_registry.py
===================================================================
--- test/sasdataloader/test/utest_extension_registry.py	(revision dcb91cf83e474bdbe1c788d87690ca5f5e7841cb)
+++ test/sasdataloader/test/utest_extension_registry.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
@@ -13,13 +13,18 @@
 logger = logging.getLogger(__name__)
 
+
+def find(filename):
+    return os.path.join(os.path.dirname(__file__), filename)
+
+
 class ExtensionRegistryTests(unittest.TestCase):
 
     def setUp(self):
-        self.valid_file = "valid_cansas_xml.xml"
-        self.valid_file_wrong_known_ext = "valid_cansas_xml.txt"
-        self.valid_file_wrong_unknown_ext = "valid_cansas_xml.xyz"
+        self.valid_file = find("valid_cansas_xml.xml")
+        self.valid_file_wrong_known_ext = find("valid_cansas_xml.txt")
+        self.valid_file_wrong_unknown_ext = find("valid_cansas_xml.xyz")
         shutil.copyfile(self.valid_file, self.valid_file_wrong_known_ext)
         shutil.copyfile(self.valid_file, self.valid_file_wrong_unknown_ext)
-        self.invalid_file = "cansas1d_notitle.xml"
+        self.invalid_file = find("cansas1d_notitle.xml")
 
         self.loader = Loader()
Index: test/sasdataloader/test/utest_generic_file_reader_class.py
===================================================================
--- test/sasdataloader/test/utest_generic_file_reader_class.py	(revision 3648cbf02c7c3af225fd5280f738d9597bcbf388)
+++ test/sasdataloader/test/utest_generic_file_reader_class.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
@@ -14,10 +14,14 @@
 
 
+def find(filename):
+    return os.path.join(os.path.dirname(__file__), filename)
+
+
 class GenericFileReaderTests(unittest.TestCase):
 
     def setUp(self):
         self.reader = TestFileReader()
-        self.bad_file = "ACB123.txt"
-        self.good_file = "123ABC.txt"
+        self.bad_file = find("ACB123.txt")
+        self.good_file = find("123ABC.txt")
 
     def test_bad_file_path(self):
Index: test/sasdataloader/test/utest_red2d_reader.py
===================================================================
--- test/sasdataloader/test/utest_red2d_reader.py	(revision fe1519896dbb0d27d27b4312f0db40cdbf913de4)
+++ test/sasdataloader/test/utest_red2d_reader.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
@@ -10,9 +10,14 @@
 import os.path
 
+
+def find(filename):
+    return os.path.join(os.path.dirname(__file__), filename)
+
+
 class abs_reader(unittest.TestCase):
 
     def setUp(self):
         self.loader = Loader()
-        self.data_list = self.loader.load("exp18_14_igor_2dqxqy.dat")
+        self.data_list = self.loader.load(find("exp18_14_igor_2dqxqy.dat"))
 
     def test_checkdata(self):
Index: test/sasdataloader/test/utest_sesans.py
===================================================================
--- test/sasdataloader/test/utest_sesans.py	(revision fe1519896dbb0d27d27b4312f0db40cdbf913de4)
+++ test/sasdataloader/test/utest_sesans.py	(revision f53d684ed4a54de3601e5f4bc601f78376d98e83)
@@ -3,4 +3,5 @@
 """
 
+import os.path
 import unittest
 from sas.sascalc.dataloader.loader_exceptions import FileContentsException,\
@@ -8,4 +9,9 @@
 from sas.sascalc.dataloader.readers.sesans_reader import Reader
 from sas.sascalc.dataloader.loader import  Loader
+
+
+def find(filename):
+    return os.path.join(os.path.dirname(__file__), filename)
+
 
 class sesans_reader(unittest.TestCase):
@@ -19,5 +25,5 @@
             Test .SES in the full loader to make sure that the file type is correctly accepted
         """
-        file = Loader().load("sesans_examples/sphere2micron.ses")
+        file = Loader().load(find("sesans_examples/sphere2micron.ses"))
         f = file[0]
         # self.assertEqual(f, 5)
@@ -38,5 +44,5 @@
             Test .SES loading on a TOF dataset
         """
-        file = self.loader("sesans_examples/sphere_isis.ses")
+        file = self.loader(find("sesans_examples/sphere_isis.ses"))
         f = file[0]
         self.assertEqual(len(file), 1)
@@ -56,5 +62,5 @@
             FileContentsException,
             self.loader,
-            "sesans_examples/sesans_no_data.ses")
+            find("sesans_examples/sesans_no_data.ses"))
 
     def test_sesans_no_spin_echo_unit(self):
@@ -65,5 +71,5 @@
             FileContentsException,
             self.loader,
-            "sesans_examples/no_spin_echo_unit.ses")
+            find("sesans_examples/no_spin_echo_unit.ses"))
 
     def test_sesans_future_version(self):
@@ -74,5 +80,5 @@
             FileContentsException,
             self.loader,
-            "sesans_examples/next_gen.ses")
+            find("sesans_examples/next_gen.ses"))
 
     def test_sesans_mandatory_headers(self):
@@ -83,5 +89,5 @@
             FileContentsException,
             self.loader,
-            "sesans_examples/no_wavelength.ses")
+            find("sesans_examples/no_wavelength.ses"))
 
     def test_sesans_columns_match_headers(self):
@@ -92,5 +98,5 @@
             FileContentsException,
             self.loader,
-            "sesans_examples/too_many_headers.ses")
+            find("sesans_examples/too_many_headers.ses"))
 
 if __name__ == "__main__":
